<template>
    <div class="pd10">
        <el-row>
            <el-col>
                <el-tabs v-model.trim="activeName" @tab-click="handleClick" type="border-card">
                    <el-tab-pane label="普测计划管理" name="1" :style="'height:' + vh + 'px;'">
                        <Planmanagement v-if="activeName == '1'"></Planmanagement>
                    </el-tab-pane>
<!--                    <el-tab-pane label="普测计划审批" name="2" :style="'height:' + vh + 'px;'">
                        <Planapproval  v-if="activeName == '2'" ref="planapprovalRef" :son="planId"></Planapproval>
                    </el-tab-pane>-->
<!--                    <el-tab-pane label="普测结果管理" name="3" :style="'height:' + vh + 'px;'">
                        <Resultsmanagement v-if="activeName == '3'"></Resultsmanagement>
                    </el-tab-pane>
                    <el-tab-pane label="普测计划占比配置" name="4" :style="'height:' + vh + 'px;'">
                        <Proportion v-if="activeName == '4'" />
                    </el-tab-pane>-->
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import Planmanagement from './components/harmonicmanagement/Planmanagement.vue'
import Planapproval from './components/harmonicmanagement/Planapproval.vue'
import Resultsmanagement from './components/harmonicmanagement/Resultsmanagement.vue'
import Proportion from './components/harmonicmanagement/Proportion.vue'
export default {
    name: 'xbpbgl',
    components: { Planmanagement, Planapproval, Resultsmanagement, Proportion },
    data() {
        return {
            vh: undefined,
            activeName: '1',
            planId:''
        }
    },
    created() {},
    mounted() {
        this.setHeight()
        window.addEventListener('resize', this.setHeight)

      let data = this.$route.query
      console.log(data)
      if(data && data!=null){
        if(this.$route.query.flowType){

          if(this.$route.query.flowType === 1){
            //审核
            this.activeName = '2'
            this.planId = this.$route.query.formAssId

            setTimeout(()=>{
              this.$refs.planapprovalRef.planReviewFn(this.planId)
            },10)


          }

        }
      }

    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.vh = window.sessionStorage.getItem('appheight') - 80
        },

        handleClick(tab, event) {
            // console.log(tab, event);
        }
    }
}
</script>
<style lang="less" scoped>
@import url('../../styles/comStyle.less');
</style>
